Subject: aview: asciiview handles -*width and -*height improperly

From: Lauri Harhanen <[email-masked]>
Date: Mon, 22 Aug 2005 00:21:19 +0300

Package: aview
Version: 1.3.0rc1-6
Severity: normal

When I invoke asciiview with -width 100 it treats 100 as a filename. The
same happens with other width- and height-related options, too.

$ asciiview -width 100 myfile.pgm
Missing filename.
 Use --help for list of options.
The file '100' could not be opened.
/usr/bin/asciiview: line 4:  9341 Terminated
myconvert "$name" >/tmp/aview$$.pgm
$

Asciiview tries to detect all width-related options with "-*width" in
a case statement, but quotation marks prevent bash from expanding * as
it is supposed to do, I believe. I changed my asciiview to check
explicitely for all options that have two parts. (A .diff attached.) It
seems to work fine now.

This bug should also be in aview 1.3.0rc1-7, as its asciiview is the
same as in 1.3.0rc1-6.

-Lauri

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-1-k7
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15
(charmap=ISO-8859-15)
Versions of packages aview depends on:
ii  aalib1                   1.4p5-22        ascii art library
ii  libc6                    2.3.2.ds1-22    GNU C Library: Shared
libraries an
ii  libncurses5              5.4-9           Shared libraries for
terminal hand
ii  libx11-6                 4.3.0.dfsg.1-14 X Window System protocol
client li
ii  slang1                   1.4.9dbs-8      The S-Lang programming
library - r
ii  xlibs                    4.3.0.dfsg.1-14 X Keyboard Extension (XKB)
configu

aview recommends no packages.

-- no debconf information

39c39
<     "-font" | "-driver" | "-kbddriver" | "-mousedriver" | "-*width" | "-*height" | "-bright" | "-contrast" | "-gamma" | "-random" | "-dimmul" | "-boldmul")
---
>     "-font" | "-driver" | "-kbddriver" | "-mousedriver" | "-width" | "-height" | "-minwidth" | "-minheight" | "-maxwidth" | "-maxheight" | "-recwidth" | "-recheight" | "-bright" | "-contrast" | "-gamma" | "-random" | "-dimmul" | "-boldmul")